- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axiom_xpath_context Struct Reference
[api]

`#include <axiom_xpath.h>`

List of all members.

## Public Attributes
const axutil_env_t * | env
axutil_hash_t * | namespaces
axutil_hash_t * | functions
axiom_node_t * | root_node
axiom_node_t * | node
axiom_attribute_t * | attribute
axiom_namespace_t * | ns
int | position
int | size
axiom_xpath_expression_t * | expr
axis2_bool_t | streaming
axutil_stack_t * | stack

## Detailed Description

XPath context

## Member Data Documentation

const axutil_env_t* axiom_xpath_context::env

Environment

axutil_hash_t* axiom_xpath_context::namespaces

List of namespaces

axutil_hash_t* axiom_xpath_context::functions

Set of functions

axiom_node_t* axiom_xpath_context::root_node

Root node

axiom_node_t* axiom_xpath_context::node

Context node

axiom_attribute_t* axiom_xpath_context::attribute

Context attribute

axiom_namespace_t* axiom_xpath_context::ns

Context attribute

int axiom_xpath_context::position

Context position

int axiom_xpath_context::size

Context size *Does not work location paths due to optimizations

axiom_xpath_expression_t* axiom_xpath_context::expr

XPath expression

axis2_bool_t axiom_xpath_context::streaming

Streaming

axutil_stack_t* axiom_xpath_context::stack

Stack of processed items

The documentation for this struct was generated from the following file:

- axiom_xpath.h